##
##  hevea.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

%define       V_dist 2002.09.17
%define       V_opkg 20020917

#   package information
Name:         hevea
Summary:      LaTeX to HTML Converter
URL:          http://para.inria.fr/~maranget/hevea/
Vendor:       Luc Maranget
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Text
License:      QPL
Version:      %{V_opkg}
Release:      20020918

#   list of sources
Source0:      ftp://ftp.inria.fr/INRIA/Projects/para/hevea/unstable/hevea-%{V_dist}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, ocaml, make, gcc
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    HEVEA is a LaTeX to HTML translator. The input language is a fairly
    complete subset of LaTeX2e (old LaTeX style is also accepted) and
    the output language is HTML that is (hopefully) correct with respect
    to version 4.0 (transitional) Exotic symbols are translated into
    symbols pertaining to the symbol font of the HTML browser, using the
    FACE attribute of the FONT tag. This allows the translation to HTML
    of quite a lot of the symbols used in LaTeX. HEVEA understands LaTeX
    macro definitions. Simple user style files are understood with
    little or no modifications. Furthermore, HEVEA customization is done
    by writing LaTeX code.

%prep
    %setup -q -n hevea-%{V_dist}

%build
    %{l_make} %{l_mflags -O} \
        TARGET=opt CPP="%{l_cc} -E -P -x c" \
        BINDIR=%{l_prefix}/bin \
        LIBDIR=%{l_prefix}/share/hevea

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
	    $RPM_BUILD_ROOT%{l_prefix}/bin \
	    $RPM_BUILD_ROOT%{l_prefix}/share/hevea
    %{l_make} %{l_mflags -O} install \
        TARGET=opt CPP="%{l_cc} -E -P -x c" \
        BINDIR=$RPM_BUILD_ROOT%{l_prefix}/bin \
        LIBDIR=$RPM_BUILD_ROOT%{l_prefix}/share/hevea
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

